This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 832939 - [glusterfs 3.3.0qa38] nfs mount problem with default parametres, always necessary to specify "-o vers=3"
[glusterfs 3.3.0qa38] nfs mount problem with default parametres, always neces...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Vivek Agarwal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 04:47 EDT by Vladimir
Modified: 2016-02-17 19:02 EST (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 956084 (view as bug list)
Environment:
Last Closed: 2013-07-24 14:00:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vladimir 2012-06-18 04:47:01 EDT
Description of problem:

When we trying to mount like:

----

const char* parametres[] =
{ "nolock,tcp,soft", "nolock,tcp,soft,vers=3", "nolock,soft,vers=3" };


---- then for(...), mount with difficult options for mount

By default, nfs use vers=4, and with standart nfs works fine, but with glusterfs-nfs need wait some minutes (mount -t nfs //node:/vol-glusterfs hangs on ~1 min). This problem can be solved? For example, to mount successfully glasterfs-nfs on any RHEL machine's without manual intervention or without this "delay"-"hangs"?

It looks some strange that i can't use RHS + RHEL products (nfs client + glusterfs share) with defaults parametres :(

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

RHEL 6 (Santiago)
RHS - RHS-2.0-20120503.1-RHS-x86_64-DVD1.iso
Comment 1 Anand Avati 2013-04-16 07:54:50 EDT
REVIEW: http://review.gluster.org/4840 (nfs: change default nfs port tp 2049) posted (#1) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 2 Anand Avati 2013-04-18 02:07:23 EDT
REVIEW: http://review.gluster.org/4840 (nfs: change default nfs port to 2049) posted (#2) for review on master by Rajesh Amaravathi (rajesh@redhat.com)
Comment 3 Anand Avati 2013-04-24 05:06:30 EDT
COMMIT: http://review.gluster.org/4840 committed in master by Anand Avati (avati@redhat.com) 
------
commit 054c1d7eb3782c35fc0f0ea3a5fd25337d080294
Author: Rajesh Amaravathi <rajesh@redhat.com>
Date:   Tue Apr 16 17:22:41 2013 +0530

    nfs: change default nfs port to 2049
    
    This change makes it possible to mount glusterfs volumes
    without specifying vers=3 option.
    
    Change-Id: If5a974e2bdfd2adbeac3d82af774310cdf30f988
    BUG: 832939
    Signed-off-by: Rajesh Amaravathi <rajesh@redhat.com>
    Reviewed-on: http://review.gluster.org/4840
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
Comment 4 Anand Avati 2013-05-23 14:32:14 EDT
REVIEW: http://review.gluster.org/5078 (nfs: change default nfs port to 2049) posted (#1) for review on release-3.4 by Vijay Bellur (vbellur@redhat.com)
Comment 5 Anand Avati 2013-05-23 15:14:25 EDT
COMMIT: http://review.gluster.org/5078 committed in release-3.4 by Anand Avati (avati@redhat.com) 
------
commit 3bee716c7a740c3cb6adececcea84bac0ba8abaa
Author: Rajesh Amaravathi <rajesh@redhat.com>
Date:   Tue Apr 16 17:22:41 2013 +0530

    nfs: change default nfs port to 2049
    
    This change makes it possible to mount glusterfs volumes
    without specifying vers=3 option.
    
    Change-Id: If5a974e2bdfd2adbeac3d82af774310cdf30f988
    BUG: 832939
    Signed-off-by: Rajesh Amaravathi <rajesh@redhat.com>
    Reviewed-on: http://review.gluster.org/4840
    Reviewed-by: Niels de Vos <ndevos@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    Reviewed-on: http://review.gluster.org/5078
    Reviewed-by: Anand Avati <avati@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.